Loading...
Searching...
No Matches
caf::io::network::pipe_reader Class Reference

An event handler for the internal event pipe. More...

`#include <pipe_reader.hpp>`

Inheritance diagram for caf::io::network::pipe_reader:

## Public Member Functions

| pipe_reader (default_multiplexer &dm)
void | removed_from_loop (operation op) override
| Callback to signalize that this handler has been removed from the event loop for operations of type op.
void | graceful_shutdown () override
| Shuts down communication on the managed socket, eventually removing this event handler from the I/O loop.
void | handle_event (operation op) override
| Returns true once the requested operation is done, i.e., to signalize the multiplexer to remove this handler.
void | init (native_socket sock_fd)
resumable * | try_read_next ()
Public Member Functions inherited from caf::io::network::event_handler
| event_handler (default_multiplexer &dm, native_socket sockfd)
native_socket | fd () const
| Returns the native socket handle for this handler.
default_multiplexer & | backend ()
| Returns the multiplexer this acceptor belongs to.
int | eventbf () const
| Returns the bit field storing the subscribed events.
void | eventbf (int value)
| Sets the bit field storing the subscribed events.
bool | read_channel_closed () const
| Checks whether close_read_channel has been called.
void | passivate ()
| Removes the file descriptor from the event loop of the parent.
bool | ack_writes ()
| Returns whether this event handlers signals successful writes to its parent actor.
void | ack_writes (bool x)
| Sets whether this event handlers signals successful writes to its parent actor.

## Additional Inherited Members

Protected Member Functions inherited from caf::io::network::event_handler
void | activate ()
| Adds the file descriptor to the event loop of the parent.
void | set_fd_flags ()
| Sets flags for asynchronous event handling on the socket handle.
Protected Attributes inherited from caf::io::network::event_handler
native_socket | fd_
state | state_
int | eventbf_
default_multiplexer & | backend_

## Detailed Description

An event handler for the internal event pipe.

## Member Function Documentation

## graceful_shutdown()

void caf::io::network::pipe_reader::graceful_shutdown | ( |  | ) |

override virtual

Shuts down communication on the managed socket, eventually removing this event handler from the I/O loop.

Implements caf::io::network::event_handler.

## handle_event()

void caf::io::network::pipe_reader::handle_event | ( | operation | op | ) |

override virtual

Returns true once the requested operation is done, i.e., to signalize the multiplexer to remove this handler.

The handler remains in the event loop as long as it returns false.

Implements caf::io::network::event_handler.

## removed_from_loop()

void caf::io::network::pipe_reader::removed_from_loop | ( | operation | op | ) |

override virtual

Callback to signalize that this handler has been removed from the event loop for operations of type op.

Implements caf::io::network::event_handler.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/network/pipe_reader.hpp